Skip to main content
GET
/
oauth
/
authorize
Get Authorization Code
curl --request GET \
  --url https://id.kraken.com/oauth/authorize
{
  "code": "<string>",
  "state": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

client_id
string
required

Your client ID

redirect_uri
string
required

The redirect URI for returning the user after authorization

response_type
enum<string>

The OAuth response type. For authorization code flow, this must be code.

Available options:
code
scope
string

A space-separated list of scopes you want to authorize (optional). If empty, all scopes registered for your Client ID will be requested.

state
string

An opaque value to maintain state (optional). If provided, this value will be set as a query argument on the Redirect URI when the user is redirected back to your service.

preferTheme
enum<string>

Sets the theme color of the authorization page.

Available options:
dark,
light

Response

302 - application/x-www-form-urlencoded

If the user authorizes, the server redirects the user's browser to your provided redirect_uri with an authorization code using the application/x-www-form-urlencoded format.

Example:

  • Success: https://example.com/callback?code=AUTHORIZATION_CODE&state=YOUR_STATE
  • Error: https://example.com/callback?error=access_denied&state=YOUR_STATE
code
string

A one-time use authorization code

state
string

If the state parameter was provided, the exact value will be returned.